# coding: utf-8

# 2016-11-19 programmeerimisvõistlus
# Ülesanne: VANAISA LOTOMÄNGUD (gümnaasiumi variant)
# Autor: Ahto Truu

# Natuke ebaefektiivne lahendus O(N^2) ajaga

sis = open('lotogsis.txt', 'rt')
val = open('lotogval.txt', 'wt')

n = int(sis.readline().strip())
a = []
for i in range(n):
	pv = sis.readline().strip().split()
	# arvutame kohe välja päeva kaotuse
	a.append(int(pv[0]) - int(pv[1]))

# esimene alamülesanne: kogusumma
s = sum(a)
if s < 0:
	val.write('PLUSSIS\n')
if s == 0:
	val.write('NULLIS\n')
if s > 0:
	val.write('MIINUSES\n')

# teine alamülesanne: suurima kaotuse päev
p, m = 0, 0
for i in range(n):
	if a[i] > m:
		p, m = i, a[i]
val.write('{0} {1}\n'.format(p + 1, m))

# kolmas alamülesanne: suurima kaotuse periood
# arvutuse kiirendamiseks leiame kõigi prefiksite summad
ss = [0]
for x in a:
	ss.append(ss[-1] + x)
# nüüd vaatame läbi kõik võimalikud periood
# aga iga perioodi summa arvutame tabelist vaatamisega
# kokku kulub suurusjärgus N^2 operatsiooni
p1, p2, m = 0, 0, 0
for i1 in range(n):
	for i2 in range(i1, n):
		s = ss[i2+1] - ss[i1]
		if s > m:
			p1, p2, m = i1, i2, s
val.write('{0} {1} {2}\n'.format(p1 + 1, p2 + 1, m))
